curl --request PUT \
--url http://{host}:{port}/{contextPath}/job-definition/{id}/suspended \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"suspended": true,
"includeJobs": true,
"executionDate": "2013-11-21T10:49:45.000+0200"
}
'import requests
url = "http://{host}:{port}/{contextPath}/job-definition/{id}/suspended"
payload = {
"suspended": True,
"includeJobs": True,
"executionDate": "2013-11-21T10:49:45.000+0200"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
suspended: true,
includeJobs: true,
executionDate: '2013-11-21T10:49:45.000+0200'
})
};
fetch('http://{host}:{port}/{contextPath}/job-definition/{id}/suspended', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}Activate/Suspend Job Definition By Id
Activates or suspends a given job definition by id.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the job definition to activate or suspend.
Body
A Boolean value which indicates whether to activate or suspend also all jobs of
the referenced job definitions. When the value is set to true, all jobs
of the provided job definitions will be activated or suspended and
when the value is set to false, the suspension state of all jobs
of the provided job definitions will not be updated.
A Boolean value which indicates whether to activate or suspend a given instance (e.g. process instance, job, job definition, or batch). When the value is set to true, the given instance will be suspended and when the value is set to false, the given instance will be activated.
Response
Request successful. This method returns no content.